dnl Process this file with autoconf to produce a configure script.
AC_INIT(tiasm.c)
AC_CONFIG_HEADER(conf.h)

AC_PROG_MWCC
DEPFLAGS="-MD"

dnl Checks for programs.
AC_PROG_CC
if test "$LD" = ""; then
LD=$CC
fi
AC_PROG_MAKE_SET

dnl get top-level directory
TOP=`pwd`
AC_SUBST(TOP)


dnl Checks for header files.
AC_HEADER_DIRENT
AC_HEADER_STDC
AC_HEADER_SYS_WAIT
AC_CHECK_HEADERS(fcntl.h limits.h malloc.h sys/ioctl.h sys/time.h unistd.h)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_TYPE_PID_T
AC_TYPE_SIZE_T
AC_HEADER_TIME
AC_STRUCT_TM

dnl Checks for library functions.
AC_FUNC_ALLOCA
AC_FUNC_FNMATCH
AC_PROG_GCC_TRADITIONAL
AC_FUNC_MEMCMP
AC_TYPE_SIGNAL
AC_FUNC_UTIME_NULL
AC_FUNC_VPRINTF
AC_CHECK_FUNCS(getcwd gethostname mkdir rmdir select strcspn strdup strerror strstr strtol strcasecmp strncasecmp strupr swab)

################

AC_SUBST(CC)
AC_SUBST(LD)
AC_SUBST(CFLAGS)
AC_SUBST(LDFLAGS)
AC_SUBST(LIBS)
AC_SUBST(DEFS)
################

AC_OUTPUT(Makefile)
